diff --git a/src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java
similarity index 94%
rename from src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java
rename to game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java
index 32a9f58f0..d5151e6db 100644
--- a/src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/commands/CommandGameRule.java
@@ -12,7 +12,7 @@ import net.minecraft.core.data.registry.Registries;
 import net.minecraft.core.net.command.CommandManager;
 import net.minecraft.core.net.command.CommandSource;
 import net.minecraft.core.net.command.arguments.ArgumentTypeGameruleGeneric;
-import net.minecraft.core.net.packet.GameRulePacket;
+import net.minecraft.core.net.packet.PacketGameRule;
 
 public class CommandGameRule implements CommandManager.CommandRegistry {
     public void register(CommandDispatcher<CommandSource> dispatcher) {
@@ -23,7 +23,7 @@ public class CommandGameRule implements CommandManager.CommandRegistry {
                 gameRuleValueArgument = RequiredArgumentBuilder.<CommandSource, Boolean>argument("value", BoolArgumentType.bool())
                         .executes(c -> {
                             c.getSource().getWorld().getLevelData().getGameRules().setValue((GameRuleBoolean) gameRule, BoolArgumentType.getBool(c, "value"));
-                            c.getSource().sendPacketToAllPlayers(() -> new GameRulePacket(c.getSource().getWorld().getLevelData().getGameRules()));
+                            c.getSource().sendPacketToAllPlayers(() -> new PacketGameRule(c.getSource().getWorld().getLevelData().getGameRules()));
                             c.getSource().sendTranslatableMessage("command.commands.gamerule.set", gameRule.getKey(), BoolArgumentType.getBool(c, "value"));
                             return Command.SINGLE_SUCCESS;
                         });
@@ -32,7 +32,7 @@ public class CommandGameRule implements CommandManager.CommandRegistry {
                         .executes(c -> {
                             Object o = c.getArgument("value", Object.class);
                             c.getSource().getWorld().getLevelData().getGameRules().setValue((GameRule) gameRule, o);
-                            c.getSource().sendPacketToAllPlayers(() -> new GameRulePacket(c.getSource().getWorld().getLevelData().getGameRules()));
+                            c.getSource().sendPacketToAllPlayers(() -> new PacketGameRule(c.getSource().getWorld().getLevelData().getGameRules()));
                             c.getSource().sendTranslatableMessage("command.commands.gamerule.set", gameRule.getKey(), o);
                             return Command.SINGLE_SUCCESS;
                         });
diff --git a/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java b/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java
similarity index 97%
rename from src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java
rename to game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java
index 0109ada15..549ccb6f7 100644
--- a/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/helpers/BlockArgumentParser.java
@@ -7,6 +7,7 @@ import com.mojang.brigadier.suggestion.Suggestions;
 import com.mojang.brigadier.suggestion.SuggestionsBuilder;
 import com.mojang.nbt.CompoundTag;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.util.CommandHelper;
 import net.minecraft.core.util.collection.NamespaceID;
@@ -66,7 +67,7 @@ public class BlockArgumentParser extends ArgumentParser {
             this.block = null;
             isAir = true;
         } else {
-            for (Block blockInList : Block.blocksList) {
+            for (Block blockInList : Blocks.blocksList) {
                 if (blockInList == null) continue;
                 if (CommandHelper.matchesNamespaceId(blockInList.namespaceID, string)) {
                     this.block = blockInList;
diff --git a/src/main/java/net/minecraft/core/net/command/helpers/WorldFeatureParameterTypes.java b/game/core/src/main/java/net/minecraft/core/net/command/helpers/WorldFeatureParameterTypes.java
similarity index 95%
rename from src/main/java/net/minecraft/core/net/command/helpers/WorldFeatureParameterTypes.java
rename to game/core/src/main/java/net/minecraft/core/net/command/helpers/WorldFeatureParameterTypes.java
index e13c5cf3f..ea043a279 100644
--- a/src/main/java/net/minecraft/core/net/command/helpers/WorldFeatureParameterTypes.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/helpers/WorldFeatureParameterTypes.java
@@ -3,6 +3,7 @@ package net.minecraft.core.net.command.helpers;
 import com.mojang.brigadier.StringReader;
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.lang.I18n;
 import net.minecraft.core.net.command.util.CommandHelper;
 
@@ -37,7 +38,7 @@ public class WorldFeatureParameterTypes {
         int cursor = reader.getCursor();
         final String string = reader.readString();
 
-        for (Block blockInList : Block.blocksList) {
+        for (Block blockInList : Blocks.blocksList) {
             if (blockInList == null) continue;
             if (CommandHelper.matchesKeyString(blockInList.getKey(), string)) {
                 return blockInList;
diff --git a/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java b/game/core/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
similarity index 98%
rename from src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
rename to game/core/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
index d06f75197..20d263128 100644
--- a/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
+++ b/game/core/src/main/java/net/minecraft/core/net/command/util/CommandHelper.java
@@ -6,6 +6,7 @@ import com.mojang.brigadier.suggestion.SuggestionsBuilder;
 import com.mojang.nbt.CompoundTag;
 import com.mojang.nbt.Tag;
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.net.command.CommandSource;
@@ -29,7 +30,7 @@ public class CommandHelper {
     public static final BiFunction<SuggestionsBuilder, Consumer<SuggestionsBuilder>, CompletableFuture<Suggestions>> NO_SUGGESTIONS = (builder, consumer) -> builder.buildFuture();
     public static final BiFunction<SuggestionsBuilder, Consumer<SuggestionsBuilder>, CompletableFuture<Suggestions>> SUGGEST_BLOCKS = (builder, consumer) -> {
         String remaining = builder.getRemaining().toLowerCase(Locale.ROOT);
-        for (Block block : Block.blocksList) {
+        for (Block block : Blocks.blocksList) {
             if (block == null) continue;
             CommandHelper.getStringToSuggest(block.getKey(), remaining).ifPresent(builder::suggest);
         }
diff --git a/src/main/java/net/minecraft/core/net/entity/IVehicleEntry.java b/game/core/src/main/java/net/minecraft/core/net/entity/IVehicleEntry.java
similarity index 74%
rename from src/main/java/net/minecraft/core/net/entity/IVehicleEntry.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/IVehicleEntry.java
index cd2233e27..61a436ba7 100644
--- a/src/main/java/net/minecraft/core/net/entity/IVehicleEntry.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/IVehicleEntry.java
@@ -1,10 +1,10 @@
 package net.minecraft.core.net.entity;
 
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.net.packet.AddEntityPacket;
+import net.minecraft.core.net.packet.PacketAddEntity;
 import net.minecraft.core.world.World;
 
 public interface IVehicleEntry<T> extends IPacketEntry<T> {
     Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner);
-    AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, T trackedObject);
+    PacketAddEntity getSpawnPacket(EntityTrackerEntry tracker, T trackedObject);
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryAnimal.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryAnimal.java
similarity index 91%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryAnimal.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryAnimal.java
index 1c064a456..45bc7d06b 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryAnimal.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryAnimal.java
@@ -7,7 +7,7 @@ import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.IPacketEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.packet.Packet;
-import net.minecraft.core.net.packet.AddMobPacket;
+import net.minecraft.core.net.packet.PacketAddMob;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryAnimal<T extends Creature> implements IPacketEntry<T>, ITrackedEntry<T> {
@@ -38,6 +38,6 @@ public class NetEntryAnimal<T extends Creature> implements IPacketEntry<T>, ITra
 
     @Override
     public Packet getSpawnPacket(EntityTrackerEntry tracker, Creature trackedObject) {
-        return new AddMobPacket((Mob) trackedObject);
+        return new PacketAddMob((Mob) trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryArrow.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryArrow.java
similarity index 92%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryArrow.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryArrow.java
index 0041b8f0a..ce5099a08 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryArrow.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryArrow.java
@@ -9,7 +9,7 @@ import net.minecraft.core.net.entity.EntityTracker;
 import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.AddEntityPacket;
+import net.minecraft.core.net.packet.PacketAddEntity;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
@@ -51,9 +51,9 @@ public class NetEntryArrow implements IVehicleEntry<ProjectileArrow>, ITrackedEn
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, ProjectileArrow trackedObject) {
+    public PacketAddEntity getSpawnPacket(EntityTrackerEntry tracker, ProjectileArrow trackedObject) {
         Mob entityliving = trackedObject.owner;
-        return new AddEntityPacket(trackedObject,
+        return new PacketAddEntity(trackedObject,
             trackedObject.getArrowType(), entityliving == null ? -1 : entityliving.id,
             trackedObject.xd, trackedObject.yd, trackedObject.zd);
     }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java
index 3d0d78d16..e7177fae9 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBoat.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.entity.EntityTracker;
 import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.AddEntityPacket;
+import net.minecraft.core.net.packet.PacketAddEntity;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
@@ -42,7 +42,7 @@ public class NetEntryBoat implements IVehicleEntry<EntityBoat>, ITrackedEntry<En
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, EntityBoat trackedObject) {
-        return new AddEntityPacket(trackedObject);
+    public PacketAddEntity getSpawnPacket(EntityTrackerEntry tracker, EntityBoat trackedObject) {
+        return new PacketAddEntity(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBobber.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBobber.java
similarity index 89%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryBobber.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBobber.java
index 66e5cb57f..266e98d12 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBobber.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryBobber.java
@@ -7,7 +7,7 @@ import net.minecraft.core.net.entity.EntityTracker;
 import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.AddEntityPacket;
+import net.minecraft.core.net.packet.PacketAddEntity;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
@@ -48,7 +48,7 @@ public class NetEntryBobber implements IVehicleEntry<EntityFishingBobber>, ITrac
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, EntityFishingBobber bobber) {
-        return new AddEntityPacket(bobber, 0, bobber.owner == null ? -1 : bobber.owner.id);
+    public PacketAddEntity getSpawnPacket(EntityTrackerEntry tracker, EntityFishingBobber bobber) {
+        return new PacketAddEntity(bobber, 0, bobber.owner == null ? -1 : bobber.owner.id);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryCannonball.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryCannonball.java
similarity index 90%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryCannonball.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryCannonball.java
index 7332554d1..1b8ad3ad9 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryCannonball.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryCannonball.java
@@ -7,7 +7,7 @@ import net.minecraft.core.net.entity.EntityTracker;
 import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.AddEntityPacket;
+import net.minecraft.core.net.packet.PacketAddEntity;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
@@ -43,9 +43,9 @@ public class NetEntryCannonball implements IVehicleEntry<ProjectileCannonball>,
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, ProjectileCannonball trackedObject) {
+    public PacketAddEntity getSpawnPacket(EntityTrackerEntry tracker, ProjectileCannonball trackedObject) {
         Mob entityliving = trackedObject.owner;
-        return new AddEntityPacket(trackedObject, -1,
+        return new PacketAddEntity(trackedObject, -1,
             entityliving == null ? -1 : entityliving.id,
             trackedObject.xd, trackedObject.yd, trackedObject.zd);
     }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryEgg.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryEgg.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryEgg.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryEgg.java
index 4ad2a3e4f..af9aef5cf 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryEgg.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryEgg.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.entity.EntityTracker;
 import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.AddEntityPacket;
+import net.minecraft.core.net.packet.PacketAddEntity;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
@@ -42,7 +42,7 @@ public class NetEntryEgg implements IVehicleEntry<ProjectileEgg>, ITrackedEntry<
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, ProjectileEgg trackedObject) {
-        return new AddEntityPacket(trackedObject);
+    public PacketAddEntity getSpawnPacket(EntityTrackerEntry tracker, ProjectileEgg trackedObject) {
+        return new PacketAddEntity(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFallingBlock.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFallingBlock.java
similarity index 84%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryFallingBlock.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFallingBlock.java
index eb23a029b..3d49e2850 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFallingBlock.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFallingBlock.java
@@ -1,13 +1,14 @@
 package net.minecraft.core.net.entity.entries;
 
 import net.minecraft.core.block.Block;
+import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.EntityFallingBlock;
 import net.minecraft.core.net.entity.EntityTracker;
 import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.AddEntityPacket;
+import net.minecraft.core.net.packet.PacketAddEntity;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
@@ -40,11 +41,11 @@ public class NetEntryFallingBlock implements IVehicleEntry<EntityFallingBlock>,
 
     @Override
     public Entity getEntity(World world, double x, double y, double z, int metadata, boolean hasVelocity, double xd, double yd, double zd, Entity owner) {
-        return new EntityFallingBlock(world, x, y, z, MathHelper.clamp(metadata, 0, Block.blocksList.length), 0, null);
+        return new EntityFallingBlock(world, x, y, z, MathHelper.clamp(metadata, 0, Blocks.blocksList.length), 0, null);
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, EntityFallingBlock trackedObject) {
-        return new AddEntityPacket(trackedObject, trackedObject.carriedBlock.blockId);
+    public PacketAddEntity getSpawnPacket(EntityTrackerEntry tracker, EntityFallingBlock trackedObject) {
+        return new PacketAddEntity(trackedObject, trackedObject.carriedBlock.blockId);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFireball.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFireball.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryFireball.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFireball.java
index 6d241ab3e..acae630e1 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFireball.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryFireball.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.entity.EntityTracker;
 import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.AddEntityPacket;
+import net.minecraft.core.net.packet.PacketAddEntity;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
@@ -42,7 +42,7 @@ public class NetEntryFireball implements IVehicleEntry<ProjectileFireball>, ITra
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, ProjectileFireball trackedObject) {
-        return new AddEntityPacket(trackedObject, -1, -1, trackedObject.xd, trackedObject.yd, trackedObject.zd);
+    public PacketAddEntity getSpawnPacket(EntityTrackerEntry tracker, ProjectileFireball trackedObject) {
+        return new PacketAddEntity(trackedObject, -1, -1, trackedObject.xd, trackedObject.yd, trackedObject.zd);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryItem.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryItem.java
similarity index 89%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryItem.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryItem.java
index 55ed09609..4b99dde35 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryItem.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryItem.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.IPacketEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.packet.Packet;
-import net.minecraft.core.net.packet.AddItemEntityPacket;
+import net.minecraft.core.net.packet.PacketAddItemEntity;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryItem implements IPacketEntry<EntityItem>, ITrackedEntry<EntityItem> {
@@ -37,7 +37,7 @@ public class NetEntryItem implements IPacketEntry<EntityItem>, ITrackedEntry<Ent
 
     @Override
     public Packet getSpawnPacket(EntityTrackerEntry tracker, EntityItem trackedObject) {
-        AddItemEntityPacket addItemEntityPacket21Pickupspawn = new AddItemEntityPacket(trackedObject);
+        PacketAddItemEntity addItemEntityPacket21Pickupspawn = new PacketAddItemEntity(trackedObject);
         trackedObject.x = addItemEntityPacket21Pickupspawn.xPosition / 32D;
         trackedObject.y = addItemEntityPacket21Pickupspawn.yPosition / 32D;
         trackedObject.z = addItemEntityPacket21Pickupspawn.zPosition / 32D;
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryMinecart.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryMinecart.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryMinecart.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryMinecart.java
index a7bd12f50..792989d65 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryMinecart.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryMinecart.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.entity.EntityTracker;
 import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.AddEntityPacket;
+import net.minecraft.core.net.packet.PacketAddEntity;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
@@ -42,7 +42,7 @@ public class NetEntryMinecart implements IVehicleEntry<MinecartEntity>, ITracked
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, MinecartEntity trackedObject) {
-        return new AddEntityPacket(trackedObject, trackedObject.type);
+    public PacketAddEntity getSpawnPacket(EntityTrackerEntry tracker, MinecartEntity trackedObject) {
+        return new PacketAddEntity(trackedObject, trackedObject.type);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPainting.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPainting.java
similarity index 91%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryPainting.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPainting.java
index 6ff6b30c3..4c42ac530 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPainting.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPainting.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.IPacketEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.packet.Packet;
-import net.minecraft.core.net.packet.AddPaintingPacket;
+import net.minecraft.core.net.packet.PacketAddPainting;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryPainting implements IPacketEntry<EntityPainting>, ITrackedEntry<EntityPainting> {
@@ -37,6 +37,6 @@ public class NetEntryPainting implements IPacketEntry<EntityPainting>, ITrackedE
 
     @Override
     public Packet getSpawnPacket(EntityTrackerEntry tracker, EntityPainting trackedObject) {
-        return new AddPaintingPacket(trackedObject);
+        return new PacketAddPainting(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java
index 902023ef9..b80ce2cd5 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPebble.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.entity.EntityTracker;
 import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.AddEntityPacket;
+import net.minecraft.core.net.packet.PacketAddEntity;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
@@ -42,7 +42,7 @@ public class NetEntryPebble implements IVehicleEntry<ProjectilePebble>, ITracked
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, ProjectilePebble trackedObject) {
-        return new AddEntityPacket(trackedObject);
+    public PacketAddEntity getSpawnPacket(EntityTrackerEntry tracker, ProjectilePebble trackedObject) {
+        return new PacketAddEntity(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java
similarity index 92%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java
index 694fd51da..25745f8fd 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPlayerServer.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.IPacketEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.packet.Packet;
-import net.minecraft.core.net.packet.AddPlayerPacket;
+import net.minecraft.core.net.packet.PacketAddPlayer;
 import org.jetbrains.annotations.NotNull;
 
 public class NetEntryPlayerServer implements IPacketEntry<Player>, ITrackedEntry<Player> {
@@ -41,6 +41,6 @@ public class NetEntryPlayerServer implements IPacketEntry<Player>, ITrackedEntry
 
     @Override
     public Packet getSpawnPacket(EntityTrackerEntry tracker, Player trackedObject) {
-        return new AddPlayerPacket(trackedObject);
+        return new PacketAddPlayer(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java
index 3e28ff4b4..722cca273 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntryPrimedTNT.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.entity.EntityTracker;
 import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.AddEntityPacket;
+import net.minecraft.core.net.packet.PacketAddEntity;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
@@ -42,7 +42,7 @@ public class NetEntryPrimedTNT implements IVehicleEntry<EntityPrimedTNT>, ITrack
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, EntityPrimedTNT trackedObject) {
-        return new AddEntityPacket(trackedObject);
+    public PacketAddEntity getSpawnPacket(EntityTrackerEntry tracker, EntityPrimedTNT trackedObject) {
+        return new PacketAddEntity(trackedObject);
     }
 }
diff --git a/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java
similarity index 88%
rename from src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java
rename to game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java
index 1d00cba52..414e3f1df 100644
--- a/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java
+++ b/game/core/src/main/java/net/minecraft/core/net/entity/entries/NetEntrySnowball.java
@@ -6,7 +6,7 @@ import net.minecraft.core.net.entity.EntityTracker;
 import net.minecraft.core.net.entity.EntityTrackerEntry;
 import net.minecraft.core.net.entity.ITrackedEntry;
 import net.minecraft.core.net.entity.IVehicleEntry;
-import net.minecraft.core.net.packet.AddEntityPacket;
+import net.minecraft.core.net.packet.PacketAddEntity;
 import net.minecraft.core.world.World;
 import org.jetbrains.annotations.NotNull;
 
@@ -42,7 +42,7 @@ public class NetEntrySnowball implements IVehicleEntry<ProjectileSnowball>, ITra
     }
 
     @Override
-    public AddEntityPacket getSpawnPacket(EntityTrackerEntry tracker, ProjectileSnowball trackedObject) {
-        return new AddEntityPacket(trackedObject);
+    public PacketAddEntity getSpawnPacket(EntityTrackerEntry tracker, ProjectileSnowball trackedObject) {
+        return new PacketAddEntity(trackedObject);
     }
 }
